stages:
  - deploy

deploy-job:
  stage: deploy
  image: maven:3.8-jdk-8-slim
  script:
    - 'echo "Build & deploy application..."'
    - 'mvn -B -s ./settings.xml deploy'
  artifacts:
    paths:
      - ./target/*.jar
  only:
    - main
    - master
